AWS SDK for C++

AWS SDK for C++ Version 1.11.827

Loading...
Searching...
No Matches
Public Member Functions | List of all members
smithy::client::features::ChunkingInterceptor Class Reference

#include <ChunkingInterceptor.h>

Inheritance diagram for smithy::client::features::ChunkingInterceptor:
[legend]

Public Member Functions

 
 ChunkingInterceptor (Aws::Client::HttpClientChunkedMode httpClientChunkedMode, size_t bufferSize)
 
 ~ChunkingInterceptor () override=default
 
 
 
 

Public Member Functions inherited from smithy::interceptor::Interceptor

virtual ~Interceptor ()=default
 

Additional Inherited Members

Public Types inherited from smithy::interceptor::Interceptor

 
 

Detailed Description

Interceptor that handles chunked encoding for streaming requests with checksums. Wraps request body with chunked stream and sets appropriate headers.

Definition at line 152 of file ChunkingInterceptor.h.

Constructor & Destructor Documentation

◆ ChunkingInterceptor() [1/2]

smithy::client::features::ChunkingInterceptor::ChunkingInterceptor ( Aws::Client::HttpClientChunkedMode  httpClientChunkedMode)
inlineexplicit

Definition at line 154 of file ChunkingInterceptor.h.

◆ ChunkingInterceptor() [2/2]

smithy::client::features::ChunkingInterceptor::ChunkingInterceptor ( Aws::Client::HttpClientChunkedMode  httpClientChunkedMode,
size_t  bufferSize 
)
inlineexplicit

Definition at line 156 of file ChunkingInterceptor.h.

◆ ~ChunkingInterceptor()

smithy::client::features::ChunkingInterceptor::~ChunkingInterceptor ( )
overridedefault

Member Function Documentation

◆ ModifyBeforeDeserialization()

ModifyResponseOutcome smithy::client::features::ChunkingInterceptor::ModifyBeforeDeserialization ( smithy::interceptor::InterceptorContext context)
inlineoverridevirtual

Implements smithy::interceptor::Interceptor.

Definition at line 222 of file ChunkingInterceptor.h.

◆ ModifyBeforeSigning()

ModifyRequestOutcome smithy::client::features::ChunkingInterceptor::ModifyBeforeSigning ( smithy::interceptor::InterceptorContext context)
inlineoverridevirtual

Implements smithy::interceptor::Interceptor.

Definition at line 160 of file ChunkingInterceptor.h.

◆ ModifyBeforeTransmit()

ModifyRequestOutcome smithy::client::features::ChunkingInterceptor::ModifyBeforeTransmit ( smithy::interceptor::InterceptorContext context)
inlineoverridevirtual

Reimplemented from smithy::interceptor::Interceptor.

Definition at line 198 of file ChunkingInterceptor.h.


The documentation for this class was generated from the following file: